<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net4.6</TargetFramework>
    <LangVersion>9.0</LangVersion>
    <Nullable>disable</Nullable>
    <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>LEGACY;WIN32;TRACE;RELEASE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>UserWin.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>LEGACY;WIN32;TRACE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>UserWin.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="System.Xaml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="CommonHelpers">
      <HintPath>..\..\..\Assemblies\.LEGACY\CommonHelpers.dll</HintPath>
      <Private>false</Private>
    </Reference>
    <Reference Include="CommonHelpers.2">
      <HintPath>..\..\..\Assemblies\.LEGACY\CommonHelpers.2.dll</HintPath>
      <Private>false</Private>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="System.ValueTuple" Version="4.5.0" />
    <PackageReference Include="System.Threading.Tasks.Extensions" Version="4.5.4" />
  </ItemGroup>

  <ItemGroup>
    <Page Include="MainCode\Resources\BusyStyles\BusyOverlay.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MainCode\Resources\BusyStyles\BusyStyles.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MainCode\Resources\BusyStyles\GradualBusyOverlay.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MainCode\Resources\BusyStyles\LittleBusyOverlay.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MainCode\Resources\BusyStyles\SimpleBusyOverlay.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MainCode\Resources\BusyStyles\WaitCursorBusyOverlay.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Themes\generic.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>

  <ItemGroup>
    <None Remove="*.cmd" />
    <None Remove="*.bak" />
  </ItemGroup>

</Project>
